Subject: Re: [PATCH 2/3] iio: adc: add Axiado SARADC driver

From: Petar Stepanovic <[email-masked]>
Date: Tue, 2 Jun 2026 12:27:05 +0200

Hi Joshua, Jonathan,

Thanks for the review. I will address the comments in v2.

[inline replies below]

On 5/28/2026 11:44 AM, Jonathan Cameron wrote:
> On Thu, 28 May 2026 11:02:05 +0200
> Joshua Crofts <[email-masked]> wrote:
>
>> On Thu, 28 May 2026 at 10:11, Petar Stepanovic <[email-masked]> wrote:
>>> +       return 0;
>>> +}
>>> +
>> I don't see any kind of cleanup procedure, like a remove() function
>> or devm_add_action_or_reset callback, is this intentional?
Thanks for pointing this out.

Yes, this was intentional because the driver only enables the ADC during probe,
and all resources are devm-managed.

However, I agree it would be better to explicitly leave the hardware in a safe
state on driver unbind. I will add a devm_add_action_or_reset() callback in v2
to disable the ADC / put it back into power-down state.

Best regards,
Petar